Redmine - Patch #5781

Allow to use more macros on the welcome page and project list
2010-06-29 19:51 - Holger Just

Status: Closed Start date: 2010-06-29
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: Text formatting Estimated time: 0.00 hour
Target version: 1.0.0 (RC)

Description

Currently, the projects on the welcome page, as well as on the projects list do not properly render most macros in the project
description, as in these places, the @project "environment" variable is not set inside the loop.

The attached patch fixes this. It is also available on
http://github.com/meineerde/redmine/commit/31935bc9c5c487e923584f4d16a62eb27d762142

Associated revisions

Revision 3824 - 2010-06-30 05:32 - Eric Davis

Set @project so macros will work on the welcome and project list. #5781

Contributed by Holger Just

History

#1 - 2010-06-30 05:24 - Eric Davis

- Subject changed from Allow to use more macros on issue lists to Allow to use more macros on the welcome page and project list
- Category set to Text formatting

- Status changed from New to Closed

- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

- % Done changed from 0 to 100

| applied your patch in r3824. | had to modify the welcome view a bit, it was keeping @project set so the layout would render that project's menu also
(thinking it was inside of a project).

Files
